(function (Drupal) {
  Drupal.behaviors.xNavigationBehavior = {
    attach: function (context, settings) {
      // Ensure the behavior runs only once.
      const menuBuilder = context.querySelector('#menu-builder');
      if (menuBuilder) {
        const colorScheme = settings.xNavigation.color_scheme || 'default';

        // Map of color schemes to their classes.
        const colorClasses = {
          'blackstone': 'xnavigation-blackstone',
          'core': 'xnavigation-core',
          'night': 'xnavigation-night',
          'pahoe': 'xnavigation-pahoe',
          'slate': 'xnavigation-slate',
        };

        // Add the class if the color scheme exists in the map.
        if (colorClasses[colorScheme]) {
          menuBuilder.classList.add(colorClasses[colorScheme]);
        }
      }
    }
  };
})(Drupal);
